Update a sage (soft update)
curl --request PATCH \
--url {protocol}://{host}:{port}/pl/sage/{sage_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"greeting": "<string>",
"reminders": "<string>",
"opening": "<string>",
"closing": "<string>",
"end_condition": "<string>",
"directions": "<string>",
"guidance": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {}
}
'import requests
url = "{protocol}://{host}:{port}/pl/sage/{sage_id}"
payload = {
"name": "<string>",
"greeting": "<string>",
"reminders": "<string>",
"opening": "<string>",
"closing": "<string>",
"end_condition": "<string>",
"directions": "<string>",
"guidance": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
greeting: '<string>',
reminders: '<string>',
opening: '<string>',
closing: '<string>',
end_condition: '<string>',
directions: '<string>',
guidance: '<string>',
scope_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
meta_data: {}
})
};
fetch('{protocol}://{host}:{port}/pl/sage/{sage_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true,
"version": 123,
"greeting": "<string>",
"reminders": "<string>",
"opening": "<string>",
"closing": "<string>",
"end_condition": "<string>",
"directions": "<string>",
"guidance": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"avatar": "<string>",
"chat_avatar": "<string>",
"duration_list": [
123
],
"is_demo": true,
"is_internal": true,
"audio": true,
"language_code": "<string>",
"followup_days": 123,
"customizable": true,
"is_mentor": true,
"slug": "<string>",
"language": true,
"tagline": "<string>",
"default_tone": "<string>",
"default_role": "<string>",
"default_short_role": "<string>",
"role_level": "<string>"
}
Sage
Update a sage (soft update)
Creates a new version of the sage. The old version is preserved in history.
PATCH
/
pl
/
sage
/
{sage_id}
Update a sage (soft update)
Authorizations
User JWT token passed in Authorization header
Headers
Required JWT permission: admin_sage (informational only -- enforced server-side)
Path Parameters
UUID of the sage
Body
application/json
Experience level:
entry-- entry-level / internjunior-- 0-2 yearsmid-- 2-5 yearssenior-- 5-10 yearsprincipal-- 10+ years / staffother-- fallback
Available options:
entry, junior, mid, senior, principal, other Response
Sage updated
Sage record (from SageModel.to_dict())
⌘I